import './Answer.styles_1a13l8l.css';
import { styled } from '@linaria/react';
import { component, mergeConfig } from '../../../engines/common.js';
import { spinnerConfig } from '../../Spinner/Spinner.js';

var mergedSpinnerConfig = /*#__PURE__*/mergeConfig(spinnerConfig);
var SpinnerComponent = /*#__PURE__*/component(mergedSpinnerConfig);
var base = "bakqj8i";
var Title = /*#__PURE__*/styled('div')({
  name: "Title",
  "class": "taev3ek",
  propsAsIs: false
});
var ContentWrapper = /*#__PURE__*/styled('div')({
  name: "ContentWrapper",
  "class": "czlbbz1",
  propsAsIs: false
});
var FooterWrapper = /*#__PURE__*/styled('div')({
  name: "FooterWrapper",
  "class": "f19z6e2u",
  propsAsIs: false
});
var LoadingWrapper = /*#__PURE__*/styled('div')({
  name: "LoadingWrapper",
  "class": "l1vv0dra",
  propsAsIs: false
});
var LoadingTitle = /*#__PURE__*/styled('div')({
  name: "LoadingTitle",
  "class": "le4ybaa",
  propsAsIs: false
});
var _exp23 = function _exp23() {
  return SpinnerComponent;
};
var SpinnerUI = /*#__PURE__*/styled(_exp23())({
  name: "SpinnerUI",
  "class": "s5hpzp1",
  propsAsIs: true
});
var ErrorContainer = /*#__PURE__*/styled('div')({
  name: "ErrorContainer",
  "class": "e19dc2hk",
  propsAsIs: false
});
var ErrorTitle = /*#__PURE__*/styled('div')({
  name: "ErrorTitle",
  "class": "egcoo80",
  propsAsIs: false
});
var ErrorTextContent = /*#__PURE__*/styled('div')({
  name: "ErrorTextContent",
  "class": "e185kp1j",
  propsAsIs: false
});

export { ContentWrapper, ErrorContainer, ErrorTextContent, ErrorTitle, FooterWrapper, LoadingTitle, LoadingWrapper, SpinnerComponent, SpinnerUI, Title, base };
